
Redmine - Defect #10967

Commit messages/comments should not convert subscripts to footnote references

2012-05-18 17:40 - Nathan Smith

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Text formatting Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Commit messages, like "Fixed problem with accessing a[0]", that contain subscript indices are converted by RedCloth into footnote

references.  See, for example, the commit message on r9278 and the "Associated Revisions" section of #10505.  Footnotes don't

make sense on commit messages.

My workaround, for the time being, is to format subscripts as "a[ 0 ]", with extra space around the index.

Related issues:

Related to Redmine - Feature #22758: Make text formatting of commit messages ... Closed

History

#1 - 2016-12-24 04:33 - Go MAEDA

- Status changed from New to Closed

- Resolution set to Fixed

An option to disable text formatting in commit messages has been implemented by #22758. It will be available in Redmine 3.4.0.

#2 - 2016-12-24 04:33 - Go MAEDA

- Related to Feature #22758: Make text formatting of commit messages optional added
